#
# spec file for package python-kitchen
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-kitchen
Version:        1.2.5
Release:        lp150.1.1
Summary:        Kitchen contains a cornucopia of useful code
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://fedorahosted.org/kitchen/
Source:         https://files.pythonhosted.org/packages/source/k/kitchen/kitchen-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION tests
BuildRequires:  %{python_module nose}
# /SECTION
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A bunch of useful python functions to be used in other projects.

%prep
%setup -q -n kitchen-%{version}
sed -i '1s/^#!.*//' kitchen2/kitchen/pycompat24/base64/_base64.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand # run test
%if $python == python2
pushd kitchen2
%else
pushd kitchen3
%endif
nosetests-%{$python_version}
popd}

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER NEWS.rst README.rst
%{python_sitelib}/*

%changelog
* Tue Feb  6 2018 sebix+novell.com@sebix.at
- specfile:
  * fix check section to actually run the tests
  * neutral description
* Tue Oct  3 2017 mardnh@gmx.de
- Initial package
